Subject: Re: EXE has file junk in it
From: [email-masked] ("Vassilii Khachaturov")

8 Jun 1997 10:40:57 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: bk <[email-masked] (Bill Klein)>
Original-Cc: gnu-win32 <[email-masked]>
Encoding: 36 TEXT
X-Mailer: Microsoft Mail V3.0
Original-Sender: [email-masked]

Some security standard "C2"  that NT is said to confirm to, states that
no process can see data from another process in a similar manner
(it also sais that if you delete something on the disk or in the memory,
it must be zeroed).

There is a switch in the NT registry that controls if this feature (zeroing) 
is on.
In 3.5, it was on by default,
in 4.0 -- off by default.

Unfortunately, I don't remember the exact key location...
There is C2 configuration utlity which comes in Resource Kit...
(called c2config.exe or something like that)
I think it will help you to locate the thing..

It might happen that the same switch also works on win95, but is just
off by default.
 ----------
From: gnu-win32-owner
To: bk
Cc: gnu-win32
Subject: Re: EXE has file junk in it
Date: Tuesday, June 03, 1997 9:36PM

The reason for this is probably that 'ld' is doing an fseek past the end of
the file, or is setting the file pointer beyond the end of the file. Under
Unix the new contents will be zero filled, under windows 95 they will 
contain
some memory contents from the swap file. If you were editing some text files
just before the link, those discarded pages from your editor will end up in
the executable!!!

If I am right, you linked under windows 95. Please confirm this. I would 
like
to know if this theory is correct.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".